Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 219556 - dev-libs/cxxtools-1.4.5 fails w/ gcc-4.3.0; bump to 1.4.7 and patch
Summary: dev-libs/cxxtools-1.4.5 fails w/ gcc-4.3.0; bump to 1.4.7 and patch
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GCC Porting (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-04-28 00:15 UTC by Peter Alfredsen (RETIRED)
Modified: 2008-05-03 11:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
cxxtools-1.4.7-gcc43.patch (cxxtools-1.4.7-gcc43.patch,461 bytes, patch)
2008-04-28 00:16 UTC, Peter Alfredsen (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Alfredsen (RETIRED) gentoo-dev 2008-04-28 00:15:11 UTC
i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I. -I../include/cxxtools -I../include -I../libltdl -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -MT libcxxtools_la-multifstream.lo -MD -MP -MF .deps/libcxxtools_la-multifstream.Tpo -c multifstream.cpp -o libcxxtools_la-multifstream.o >/dev/null 2>&1
if /bin/sh ../libtool --tag=CXX --mode=compile i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I. -I../include/cxxtools -I../include -I../libltdl    -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -MT libcxxtools_la-net.lo -MD -MP -MF ".deps/libcxxtools_la-net.Tpo" -c -o libcxxtools_la-net.lo `test -f 'net.cpp' || echo './'`net.cpp; \
        then mv -f ".deps/libcxxtools_la-net.Tpo" ".deps/libcxxtools_la-net.Plo"; else rm -f ".deps/libcxxtools_la-net.Tpo"; exit 1; fi
 i686-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I. -I../include/cxxtools -I../include -I../libltdl -O2 -march=i686 -mtune=athlon-xp -msse -mmmx -pipe -ggdb3 -MT libcxxtools_la-net.lo -MD -MP -MF .deps/libcxxtools_la-net.Tpo -c net.cpp  -fPIC -DPIC -o .libs/libcxxtools_la-net.o
net.cpp: In constructor 'cxxtools::net::Addrinfo::Addrinfo(const std::string&, short unsigned int)':
net.cpp:152: error: 'memset' was not declared in this scope
make[2]: *** [libcxxtools_la-net.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/var/tmp/portage/dev-libs/cxxtools-1.4.5/work/cxxtools-1.4.5/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/portage/dev-libs/cxxtools-1.4.5/work/cxxtools-1.4.5/src'
make: *** [all-recursive] Error 1
Comment 1 Peter Alfredsen (RETIRED) gentoo-dev 2008-04-28 00:16:34 UTC
Created attachment 151207 [details, diff]
cxxtools-1.4.7-gcc43.patch

1.4.7 has fixed all but this missing header. Home-spun patch.
Comment 2 Samuli Suominen gentoo-dev 2008-05-03 11:30:44 UTC
+*cxxtools-1.4.7 (03 May 2008)
+
+  03 May 2008; Samuli Suominen <drac@gentoo.org>
+  +files/cxxtools-1.4.7-gcc43.patch, +cxxtools-1.4.7.ebuild:
+  Version bump for bug 219556, thanks to Peter Alfredsen.